package example;

import javax.sql.DataSource;

import org.apache.logging.log4j.LogManager;
import org.junit.Test;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseBuilder;
import org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseType;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.AbstractJUnit4SpringContextTests;

@ContextConfiguration(classes={JpaLoggingTest.SpringConfig.class, Log4j2JpaPersistenceContextConfiguration.class})
public class JpaLoggingTest extends AbstractJUnit4SpringContextTests {
    @Configuration
    public static class SpringConfig {
        @Bean
        public DataSource dataSource() {
            return new EmbeddedDatabaseBuilder().setType(EmbeddedDatabaseType.H2).build();
        }
    }
    
    @Test
    public void test() {
        LogManager.getLogger().info("Test log");
    }

}
